Bug 25231 - Remove alert when replacing a bibliographic record via Z39.50
Summary: Remove alert when replacing a bibliographic record via Z39.50
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-21 17:29 UTC by Nick Clemens
Modified: 2020-05-18 13:41 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 25231: Rename button instead of alert/confirm when replacing record (2.45 KB, patch)
2020-04-21 17:33 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 25231: Rename button instead of alert/confirm when replacing record (2.48 KB, patch)
2020-04-21 17:59 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 25231: Rename button instead of alert/confirm when replacing record (2.53 KB, patch)
2020-04-21 18:23 UTC, Phil Ringnalda
Details | Diff | Splinter Review
Bug 25231: Rename button instead of alert/confirm when replacing record (2.58 KB, patch)
2020-04-21 21:13 UTC, David Nind
Details | Diff | Splinter Review
Bug 25231: Rename button instead of alert/confirm when replacing record (2.65 KB, patch)
2020-04-22 13:27 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-04-21 17:29:31 UTC
If you are editing a record and do a Z3950 search to replace you first get an alert you must confirm.

On the details page the button simply says 'Replace via Z3950'

Let's rename the button and avoid a click
Comment 1 Nick Clemens 2020-04-21 17:33:33 UTC
Created attachment 103398 [details] [review]
Bug 25231: Rename button instead of alert/confirm when replacing record

This test plan applies to the basic editor only

To test:
1 - Edit an existing record
2 - Click 'Z3950 Search'
3 - Note the confirmation box
4 - Add a new record
5 - Click 'Z3950 Search'
6 - Note no popup
7 - Apply patch
8 - Edit existing record
9 - Note button now says 'Replace record via Z3950 search'
10 - Add a new blank record
11 - Note the button says 'Z3950 search'
12 - Confirm editing/saving/replacing works as in the past
Comment 2 Phil Ringnalda 2020-04-21 17:58:03 UTC
Works beautifully, thanks, but you left a stray "[%# Only ask for a confirmation if it is an edit %]" comment behind.
Comment 3 Nick Clemens 2020-04-21 17:59:54 UTC
Created attachment 103401 [details] [review]
Bug 25231: Rename button instead of alert/confirm when replacing record

This test plan applies to the basic editor only

To test:
1 - Edit an existing record
2 - Click 'Z3950 Search'
3 - Note the confirmation box
4 - Add a new record
5 - Click 'Z3950 Search'
6 - Note no popup
7 - Apply patch
8 - Edit existing record
9 - Note button now says 'Replace record via Z3950 search'
10 - Add a new blank record
11 - Note the button says 'Z3950 search'
12 - Confirm editing/saving/replacing works as in the past
Comment 4 Phil Ringnalda 2020-04-21 18:23:00 UTC
Created attachment 103402 [details] [review]
Bug 25231: Rename button instead of alert/confirm when replacing record

This test plan applies to the basic editor only

To test:
1 - Edit an existing record
2 - Click 'Z3950 Search'
3 - Note the confirmation box
4 - Add a new record
5 - Click 'Z3950 Search'
6 - Note no popup
7 - Apply patch
8 - Edit existing record
9 - Note button now says 'Replace record via Z3950 search'
10 - Add a new blank record
11 - Note the button says 'Z3950 search'
12 - Confirm editing/saving/replacing works as in the past

Signed-off-by: Phil Ringnalda <phil@chetcolibrary.org>
Comment 5 David Nind 2020-04-21 21:13:07 UTC
Created attachment 103421 [details] [review]
Bug 25231: Rename button instead of alert/confirm when replacing record

This test plan applies to the basic editor only

To test:
1 - Edit an existing record
2 - Click 'Z3950 Search'
3 - Note the confirmation box
4 - Add a new record
5 - Click 'Z3950 Search'
6 - Note no popup
7 - Apply patch
8 - Edit existing record
9 - Note button now says 'Replace record via Z3950 search'
10 - Add a new blank record
11 - Note the button says 'Z3950 search'
12 - Confirm editing/saving/replacing works as in the past

Signed-off-by: Phil Ringnalda <phil@chetcolibrary.org>

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 Jonathan Druart 2020-04-22 13:27:59 UTC
Created attachment 103475 [details] [review]
Bug 25231: Rename button instead of alert/confirm when replacing record

This test plan applies to the basic editor only

To test:
1 - Edit an existing record
2 - Click 'Z3950 Search'
3 - Note the confirmation box
4 - Add a new record
5 - Click 'Z3950 Search'
6 - Note no popup
7 - Apply patch
8 - Edit existing record
9 - Note button now says 'Replace record via Z3950 search'
10 - Add a new blank record
11 - Note the button says 'Z3950 search'
12 - Confirm editing/saving/replacing works as in the past

Signed-off-by: Phil Ringnalda <phil@chetcolibrary.org>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Martin Renvoize 2020-04-29 16:36:18 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-05-08 22:33:56 UTC
Backported to 19.11.x for 19.11.06
Comment 9 Lucas Gass 2020-05-15 15:33:02 UTC
backported to 19.05.x for 19.05.11